/*
 * Defintions of the basic data types.
 */

#ifndef _BASICTYPES_H_
#define _BASICTYPES_H_

typedef unsigned char		BYTE;	/*  8 bits */
typedef unsigned short int	WORD;	/* 16 bits */
typedef unsigned long int	LONG;	/* 32 bits */

typedef signed char		SBYTE;	/*  8 bits */
typedef signed short int	SWORD;	/* 16 bits */
typedef signed long int		SLONG;	/* 32 bits */

typedef unsigned char		NATURAL8;  /*  8 bits */
typedef unsigned short int	NATURAL16; /* 16 bits */
typedef unsigned long int	NATURAL32; /* 32 bits */

typedef signed char		INTEGER8;   /*  8 bits */
typedef signed short int	INTEGER16;  /* 16 bits */
typedef signed long int		INTEGER32;  /* 32 bits */


typedef NATURAL8			uint8;
typedef NATURAL8			nat8;
typedef NATURAL8			UINT8;
typedef NATURAL8			NAT8;
typedef NATURAL16			uint16;
typedef NATURAL16			nat16;
typedef NATURAL16			UINT16;
typedef NATURAL16			NAT16;
typedef NATURAL32			uint32;
typedef NATURAL32			nat32;
typedef NATURAL32			UINT32;
typedef NATURAL32			NAT32;
typedef INTEGER8			int8;
typedef INTEGER8			INT8;
typedef INTEGER16			int16;
typedef INTEGER16			INT16;
typedef INTEGER32			int32;
typedef INTEGER32			INT32;

#ifdef TRUE
#undef TRUE
#endif
#define TRUE		(1)
#ifdef FALSE
#undef FALSE
#endif
#define FALSE		(0)
#ifdef NULL
#undef NULL
#endif
#define NULL		(0)


#define  OS_ENTER_CRITICAL() __asm__ volatile (" move.w #0x2700,%sr ");
#define  OS_EXIT_CRITICAL()  __asm__ volatile (" move.w #0x2000,%sr ");


#endif /* _BASICTYPES_H_ */
